com.hazelcast.jet.function

## Interface DistributedBinaryOperator<T>

- All Superinterfaces:
    BiFunction<T,T,T>, BinaryOperator<T>, Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DistributedBinaryOperator<T>
      extends BinaryOperator<T>, Serializable

  `Serializable` variant of `java.util.function.BinaryOperator` which declares checked exception.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default T` | `apply(T t1, T t2)`
    `T` | `applyEx(T t1, T t2)` Exception-declaring version of `BiFunction.apply(T, U)`.
    `static <T> DistributedBinaryOperator<T>` | `maxBy(Comparator<? super T> comparator)` `Serializable` variant of `java.util.function.BinaryOperator#maxBy(Comparator)`.
    `static <T> DistributedBinaryOperator<T>` | `minBy(Comparator<? super T> comparator)` `Serializable` variant of `java.util.function.BinaryOperator#minBy(Comparator)`.

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Method Detail

    - #### applyEx

          T applyEx(T t1,
                    T t2)
             throws Exception

      Exception-declaring version of `BiFunction.apply(T, U)`.
      Throws:
        `Exception`

    - #### apply

          default T apply(T t1,
                          T t2)

      Specified by:
        `apply` in interface `BiFunction<T,T,T>`

    - #### minBy

          static <T> DistributedBinaryOperator<T> minBy(Comparator<? super T> comparator)

      `Serializable` variant of `java.util.function.BinaryOperator#minBy(Comparator)`.
      Specified by:
        `minBy` in interface `BinaryOperator<T>`

    - #### maxBy

          static <T> DistributedBinaryOperator<T> maxBy(Comparator<? super T> comparator)

      `Serializable` variant of `java.util.function.BinaryOperator#maxBy(Comparator)`.
      Specified by:
        `maxBy` in interface `BinaryOperator<T>`

Copyright © 2018. All rights reserved.